Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cascading.util
Class Version

    java.lang.Object
      cascading.util.Version

    public class Version

extends Object

Field Summary
`static String` | `CASCADING`
`static String` | `CASCADING_BUILD_NUMBER`
`static String` | `CASCADING_RELEASE_MAJOR`
`static String` | `CASCADING_RELEASE_MINOR`
`static Properties` | `versionProperties`

Constructor Summary
`Version()`

Method Summary
`static String` | `getRelease()`
`static String` | `getReleaseBuild()`
`static String` | `getReleaseFull()`
`static String` | `getReleaseMajor()`
`static String` | `getReleaseMinor()`
`static String` | `getVersionString()`
`static boolean` | `hasAllVersionInfo()`
`static boolean` | `hasMajorMinorVersionInfo()`
`static Properties` | `loadVersionProperties()`
`static void` | `printBanner()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CASCADING_RELEASE_MAJOR

    public static final String CASCADING_RELEASE_MAJOR

See Also:
  Constant Field Values

### CASCADING_RELEASE_MINOR

    public static final String CASCADING_RELEASE_MINOR

See Also:
  Constant Field Values

### CASCADING_BUILD_NUMBER

    public static final String CASCADING_BUILD_NUMBER

See Also:
  Constant Field Values

### CASCADING

    public static final String CASCADING

See Also:
  Constant Field Values

### versionProperties

    public static Properties versionProperties

Constructor Detail

### Version

    public Version()

Method Detail

### printBanner

    public static void printBanner()

### getVersionString

    public static String getVersionString()

### getRelease

    public static String getRelease()

### getReleaseFull

    public static String getReleaseFull()

### hasMajorMinorVersionInfo

    public static boolean hasMajorMinorVersionInfo()

### hasAllVersionInfo

    public static boolean hasAllVersionInfo()

### getReleaseBuild

    public static String getReleaseBuild()

### getReleaseMinor

    public static String getReleaseMinor()

### getReleaseMajor

    public static String getReleaseMajor()

### loadVersionProperties

    public static Properties loadVersionProperties()
                                            throws IOException

  Throws:
    `IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007-2013 Concurrent, Inc. All Rights Reserved.